Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.msu.cme.rdp.classifier.comparison
Class AbstractNode.TaxonIterator

    java.lang.Object
      edu.msu.cme.rdp.classifier.comparison.AbstractNode.TaxonIterator

All Implemented Interfaces:
  java.util.Iterator

Enclosing class:
  AbstractNode

     class AbstractNode.TaxonIterator

extends java.lang.Object
implements java.util.Iterator

An Iterator of the BrowserNode. Returns the next node.

Field Summary
`private int` | `depth`
`private AbstractNode` | `onDeck`
`private AbstractNode` | `root`
`private int` | `ROOT_INDENT`

Constructor Summary
`AbstractNode.TaxonIterator(int depth)`

Method Summary
`private AbstractNode` | `getNextElement()`
`boolean` | `hasNext()`
`java.lang.Object` | `next()`
`void` | `remove()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### depth

    private int depth

### root

    private AbstractNode root

### onDeck

    private AbstractNode onDeck

### ROOT_INDENT

    private final int ROOT_INDENT

See Also:
  Constant Field Values

Constructor Detail

### AbstractNode.TaxonIterator

    public AbstractNode.TaxonIterator(int depth)

Method Detail

### next

    public java.lang.Object next()

  Specified by:
    `next` in interface `java.util.Iterator`

### hasNext

    public boolean hasNext()

  Specified by:
    `hasNext` in interface `java.util.Iterator`

### getNextElement

    private AbstractNode getNextElement()

### remove

    public void remove()
                throws java.lang.UnsupportedOperationException

  Specified by:
    `remove` in interface `java.util.Iterator`
  Throws:
    `java.lang.UnsupportedOperationException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD